Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158726 - autorun script on FC 3.92 DVD refers to redhat-cdinstall-helper
Summary: autorun script on FC 3.92 DVD refers to redhat-cdinstall-helper
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL: http://www.orakel.ntnu.no/~havardda/b...
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-25 09:24 UTC by Håvard Dahle
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-26 16:12:03 UTC


Attachments (Terms of Use)

Description Håvard Dahle 2005-05-25 09:24:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.7.8-1.1.3.1

Description of problem:
Excerpt from the "autorun" script as included on the 3.92 install dvd:

# Change directories so we can unmount the CD-ROM Drive
cd /
exec /usr/bin/redhat-cdinstall-helper $tree
              ^^^^^^

Notice the blooper? This should clearly be /usr/bin/system-cdinstall-helper 

As a result, when the dvd is inserted, and fc asks to run the script, nothing (seemingly) happens. (Additionally, there is no visual feedback that the script failed).



Version-Release number of selected component (if applicable):
3.92 DVD

How reproducible:
Always

Steps to Reproduce:
0. Activate autorun 
1. Insert install media 
2.
3.
  

Actual Results:  The autorun script tried to execute the non-existing binary "/usr/bin/redhat-cdinstall-helper", and failed

Expected Results:  The autorun script should have executed /usr/bin/system-cdinstall-helper

Additional info:

Comment 1 Håvard Dahle 2005-05-25 09:31:18 UTC
Interestingly, looking at the two autorun templates on my FC4test3 system, the
one in /usr/share/doc/fedora-release-3.92/autorun-template has the same blooper,
whereas the one in /usr/share/doc/system-config-pagckages-1.2.25/autorun does
_not_ (it correctly refers to *system*-cdinstall-helper)

Comment 2 Bill Nottingham 2005-05-26 16:12:03 UTC
Fixed in CVS, will be in the final release.


Note You need to log in before you can comment on or make changes to this bug.